#!/usr/bin/python
# -*- coding: utf-8 -*-

#Funciones básicas

#Copyright (C) 2006  Inmaculada Luengo Merino, Néstor Arocha Rodríguez
#This file is part of Driza.
#
#Driza is free software; you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation; either version 2 of the License, or
#(at your option) any later version.
#
#Driza is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with Driza; if not, write to the Free Software
#Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

from Driza.clasesbase import Funcion
from Driza.clasesbase import FuncionConversion

class Default(Funcion):
	"""Devuelve el valor por defecto de la variable de entrada"""
	def __init__(self):
		self.descripcion="Devuelve el valor por defecto de la variable pasada"
	def __call__(self,instanciavariable):
		return instanciavariable.tvariable.valorpordefecto

class CDefault(FuncionConversion):
	def __init__(self,tvar1,tvar2):
		FuncionConversion.__init__(self,tvar1,tvar2)
	def __call__(self,var):
		return self.tvar2.valorpordefecto


